Subject: Re: iproute2 tc: Print qdisc, stats, class, filter info to string rather than FILE

From: Vadim Kochan <[email-masked]>
Date: Thu, 8 Jan 2015 01:46:08 +0200

On Wed, Jan 07, 2015 at 03:08:28PM -0800, Stephen Hemminger wrote:
> On Wed, 7 Jan 2015 23:53:31 +0200
> Vadim Kochan <[email-masked]> wrote:
> 
> > Hi,
> > 
> > I'd like to make possible to generate plot info about class hierarchy
> > with qdisc, filters, stats info, but I see that all this staffs are
> > printed to 'FILE *fp' which makes this hard to implement and seems to me
> > that it should be changed to be printed to 'char *s' (memory safety
> > should be considered by asprintf or similar), so this is a big change
> > but all this is possible and I ready to do it, but before do it I'd like
> > to ask if this could be acceptable as idea.
> > 
> > BUT maybe someone can advise me easier solution ?
> > 
> > Regards,
> > --
> > To unsubscribe from this list: send the line "unsubscribe netdev" in
> > the body of a message to [email-masked]
> > More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 
> Rather than screen scraping tc command, why not use libmnl and get the
> data you want programmatically.

I'd like to have text info from tc on screen and output on the other
data format to be the same, just only for this.